-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let base = env:BASE_MANIFEST

in  { config =
        Genode.Init::{
        , verbose = True
        , children =
            toMap
              { test-log =
                  Genode.Init.Start::{
                  , binary = "test-log"
                  , exitPropagate = True
                  , resources = { caps = 500, ram = Genode.units.MiB 10 }
                  , routes = [ Genode.ServiceRoute.parent "Timer" ]
                  }
              }
        }
    , rom = [ base.bin.test-log ]
    }
